#include <bits/stdc++.h>
using namespace std;

int main(int argc, char**argv){
ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
int a, b, x, y; cin >> a >> b >> x >> y;
if ( (x == a) ){
    if ( y == b ){
        cout << "nijedan";
    }
    else{
        cout << "drugi";
    }
}
else{
    if ( y == b ){
        cout << "prvi";
    }
    else{
        cout << "?";
    }
}
return 0;
}